Hi Martin,

>
> That's why qt5 is really not urgent.
> qt4 works fine for VirtualBox5.1.x

Yes I agree that you Qt4 build is the way to go for the moment.
The Qt5 builds are for the long term, I would like to get some testing
done to check if we need to fix some things and can upstream some
patches.
Maybe next year, when we are confident that Qt5 is good or if
VirtualBox breaks compatibility with Qt4 we have a fallback.

>
> To change Qt and even to replace Qt4.8 totally with it (or only the symlinks
> to /usr?) involves *tons* of complexity if done right, beware the
> implications to all clients who depend on it. Will they all work fine on
> Qt5? I doubt that. Ao at least /usr/lib/qt/4.8 _must_ be preserved. And as
> said: The symlinks to prefix=/usr are _evil_, since they break
> multiversionism.
> I'm glad you uploaded 64bit test bins built on *your* Hipster environment
> (where you don't appear to run into
> http://stackoverflow.com/questions/38549755/raspberry-pi-2-and-qt-5-7-make-stuck-at-qtbase-bin-qmake-conf-qtbase-q
> unlike me on Hipster 2015 illumos-f83b46b).

I did not prepare the oi-userland component for now as I am building
the GIT branches but the install already follows the same structure as
Qt4.8: Qt5.8 lives in /usr/lib/qt/5.8 in its own prefix.

>
> I can later later give it a shot to see if VirtualBox would work with your
> bins better than with the ones I created here, as outlined in
> https://openindiana.org/pipermail/oi-dev/2016-September/004835.html
>
> with all I would get was: "gtk_menu_attach_to_widget(): menu already
> attached to GtkMenuItem"

It seems the build I obtained does not have the same issue but there
are other problems (XCB warnings and incorrect keyboard entry for some
widgets).

>
>
> However, as you noticed independently of your email I kept working on
> vbox5_qt4 all over the entire weekend night/day and funnily posted to list
> almost simultaneously as you:
> https://openindiana.org/pipermail/oi-dev/2016-September/004845.html
>
>
> For now, "Good Night" and till later.
> Tnx for your Qt5.8 bins - but as said, let's rather work on that slowly and
> test everything 500 times _first_.
> Vbox will simply use Qt4.8 for the time being :)

Yes it is perfect, no problem ;) Qt5 is just for me to prepare some
independent testing.

Rest well!

Aurelien


>
>
> regards,
> %martin
>
>
>
> Понедельник, 19 сентября 2016, 8:41 UTC от Aurélien Larcher
> <aurelien.larc...@gmail.com>:
>
> Hi,
> if there is any interest, snapshot from Sept 15 2016:
>
> qt5.8-OI201604-20160915.tar.bz2 (91MB) @ http://ovh.to/w5Vjj1D
>
> It contains 32bit and 64bit builds installed in /usr/lib/qt/5.8.
> Best regards
>
> Aurelien
>
> --
> ---
> Praise the Caffeine embeddings
>
> _______________________________________________
> oi-dev mailing list
> oi-dev@openindiana.org
> https://openindiana.org/mailman/listinfo/oi-dev
>
>
>
> _______________________________________________
> oi-dev mailing list
> oi-dev@openindiana.org
> https://openindiana.org/mailman/listinfo/oi-dev



-- 
---
Praise the Caffeine embeddings

_______________________________________________
oi-dev mailing list
oi-dev@openindiana.org
https://openindiana.org/mailman/listinfo/oi-dev

Reply via email to